import java.awt.AlphaComposite
import java.awt.Color
import java.awt.Composite
import java.awt.Graphics2D
import java.awt.image.BufferedImage
import java.awt.image.RescaleOp
import java.io.ByteArrayInputStream
import java.net.URL
import javax.imageio.ImageIO

val TRANSPARENT: Color = Color(0, 0, 0, 0)

fun ByteArray.toImage(): BufferedImage = ImageIO.read(ByteArrayInputStream(this))
fun getImage(name: String): BufferedImage? = getResource(name)?.readBytes()?.toImage()
fun getResource(name: String): URL? = App::class.java.getResource(name)

